Subject: Re: bug#6592: 24.0.50; Fringe at scroll bar side is wider (sometimes).

From: Jan Djärv <[email-masked]>
Date: Sun, 11 Jul 2010 10:15:54 +0200

YAMAMOTO Mitsuharu skrev 2010-07-11 05.48:
>>>>>> On Sat, 10 Jul 2010 11:03:08 +0200, Jan Djärv<[email-masked]>  said:
>
>>>> Hasn't it been like that since this change?
>>>
>>>> 2007-07-27 YAMAMOTO Mitsuharu<[email-masked]>
>>>
>>> Exactly.  For more info, see the thread starting from
>>> http://lists.gnu.org/archive/html/emacs-devel/2007-03/msg00295.html
>>>
>
>> There is something off with the calculations for the frame size
>> then.  Check attached screen shots.  The right fringe is not
>> visible.
>
> The change I made in 2007-07-27 has nothing to do with the calculation
> of fringe width, the position of fringes, or frame size calculation.
> It just fills the gap between a fringe and a scroll bar with the
> fringe background color when appropriate.  The gap is still a part of
> scroll bar area painted by the same color with the adjacent fringe
> background.  So if something is wrong with frame size calculation,
> then that should have happened without my change.

That is true.  I see your patch uses WINDOW_CONFIG_SCROLL_BAR_WIDTH, and there 
is a corresponding FRAME_CONFIG_SCROLL_BAR_WIDTH, but that is never set.

However, I think that scroll bars at the frame level (i.e. left or right edge 
of the frame) don't need any padding.  It is only on other window scroll bars
that padding is needed, to keep integral column width.

I'll try something based on that.

	Jan D.